Package org.eclipse.lemminx.extensions.colors.participants

## Class XMLDocumentColorParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.colors.participants.XMLDocumentColorParticipant

All Implemented Interfaces:
  `IDocumentColorParticipant`

    public class XMLDocumentColorParticipant
    extends Object
    implements IDocumentColorParticipant

XML document color particpant based on the `XMLColorsSettings`.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLDocumentColorParticipant​(XMLColorsPlugin xmlColorsPlugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doColorPresentations​(DOMDocument xmlDocument, org.eclipse.lsp4j.ColorPresentationParams params, List<org.eclipse.lsp4j.ColorPresentation> presentations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given the `presentations` list of `ColorPresentation` for the given DOM document `xmlDocument` and the given `params` colors presentation parameter.
`void` `doDocumentColor​(DOMDocument xmlDocument, List<org.eclipse.lsp4j.ColorInformation> colors, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given the `colors` list of `ColorInformation` for the given DOM document `xmlDocument`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLDocumentColorParticipant

    public XMLDocumentColorParticipant​(XMLColorsPlugin xmlColorsPlugin)

### Method Detail

#### doDocumentColor

    public void doDocumentColor​(DOMDocument xmlDocument,
                                List<org.eclipse.lsp4j.ColorInformation> colors,
                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `IDocumentColorParticipant`
Fill the given the `colors` list of `ColorInformation` for the given DOM document `xmlDocument`.

Specified by:
  `doDocumentColor` in interface `IDocumentColorParticipant`
Parameters:
  `xmlDocument` - the DOM document.
  `colors` - the colors list to update.
  `cancelChecker` - the cancel checker.

#### doColorPresentations

    public void doColorPresentations​(DOMDocument xmlDocument,
                                     org.eclipse.lsp4j.ColorPresentationParams params,
                                     List<org.eclipse.lsp4j.ColorPresentation> presentations,
                                     org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `IDocumentColorParticipant`
Fill the given the `presentations` list of `ColorPresentation` for the given DOM document `xmlDocument` and the given `params` colors presentation parameter.

Specified by:
  `doColorPresentations` in interface `IDocumentColorParticipant`
Parameters:
  `xmlDocument` - the DOM document.
  `params` - the color presentation parameter.
  `presentations` - the presentations list to update.
  `cancelChecker` - the cancel checker.